# 8. Update Social Post Record https://dev-musiccast.odoo.com/json/2/social.post/action_post POST https://graph.facebook.com/json/2/social.post/action_post Content-Type: application/json Reference: https://docs.deao.dev/cloudflare/yt-channel-videos-upload-workflow/8-update-social-post-record-https-dev-musiccast-odoo-com-json-2-social-post-action-post ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: collection version: 1.0.0 paths: /json/2/social.post/action_post: post: operationId: >- 8-update-social-post-record-https-dev-musiccast-odoo-com-json-2-social-post-action-post summary: >- 8. Update Social Post Record https://dev-musiccast.odoo.com/json/2/social.post/action_post tags: - subpackage_ytChannelVideosUploadWorkflow responses: '200': description: Successful response content: application/json: schema: $ref: >- #/components/schemas/YT Channel Videos Upload Workflow_8. Update Social Post Record https://dev-musiccast.odoo.com/json/2/social.post/action_post_Response_200 requestBody: content: application/json: schema: type: object properties: ids: type: array items: type: integer required: - ids servers: - url: https://graph.facebook.com - url: https://www.youtube.com - url: https://youtube-video-summarizer-gpt-ai.p.rapidapi.com - url: https://api.cloudflare.com - url: https://dev-musiccast.odoo.com - url: https://api.search.brave.com - url: https://og-image-generator-dev.deao.workers.dev - url: https://musiccast.odoo.com - url: https://m.musicca.st - url: https://api.stripe.com - url: https://api.kie.ai - url: https://api.pexels.com - url: https://api.shotstack.io - url: https://oauth2.googleapis.com - url: https://www.googleapis.com - url: https://api.linkedin.com - url: https://www.linkedin.com - url: https://rupload.facebook.com - url: https://api.x.com - url: https://open.tiktokapis.com - url: https://open-upload-sg.tiktokapis.com - url: https://social-media-posting-dev.deao.workers.dev components: schemas: YT Channel Videos Upload Workflow_8. Update Social Post Record https://dev-musiccast.odoo.com/json/2/social.post/action_post_Response_200: type: object properties: {} description: Empty response body title: >- YT Channel Videos Upload Workflow_8. Update Social Post Record https://dev-musiccast.odoo.com/json/2/social.post/action_post_Response_200 ``` ## SDK Code Examples ```python import requests url = "https://graph.facebook.com/json/2/social.post/action_post" payload = { "ids": [153] } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://graph.facebook.com/json/2/social.post/action_post'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"ids":[153]}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://graph.facebook.com/json/2/social.post/action_post" payload := strings.NewReader("{\n \"ids\": [\n 153\n ]\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://graph.facebook.com/json/2/social.post/action_post") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"ids\": [\n 153\n ]\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://graph.facebook.com/json/2/social.post/action_post") .header("Content-Type", "application/json") .body("{\n \"ids\": [\n 153\n ]\n}") .asString(); ``` ```php request('POST', 'https://graph.facebook.com/json/2/social.post/action_post', [ 'body' => '{ "ids": [ 153 ] }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://graph.facebook.com/json/2/social.post/action_post"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"ids\": [\n 153\n ]\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = ["ids": [153]] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://graph.facebook.com/json/2/social.post/action_post")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```